net.corda.node.driver

## Class PortAllocation

- net.corda.node.driver.PortAllocation

- Direct Known Subclasses:
    PortAllocation.Incremental, PortAllocation.RandomFree

      public class PortAllocation

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PortAllocation.Incremental`
    `static class` | `PortAllocation.RandomFree`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.common.net.HostAndPort` | `nextHostAndPort()`
    `int` | `nextPort()`

- - ### Method Detail

    - #### nextPort

          public int nextPort()

    - #### nextHostAndPort

          public com.google.common.net.HostAndPort nextHostAndPort()